InstallAnywhere
Configuration requise

Ce document décrit la configuration requise pour InstallAnywhere.

Systèmes exécutant InstallAnywhere (environnement de création)

RAM 256 Mo libres, 512 Mo recommandés
Espace disque 500 Mo
Couleurs 65 536 couleurs (16 bits)
Résolution Résolution minimale de 1 200 x 800
Système d'exploitation InstallAnywhere s'exécute sur les versions les plus récentes de ces systèmes d'exploitation, entièrement mis à jour avec les derniers correctifs et service packs.
Windows
  • Windows 10 Anniversary Update (x86 et x64)
  • Windows Server 2016 (x64)
  • Windows 10 (x86 et x64)
  • Windows 8.1 (x86 et x64)
  • Windows Server 2012 R2 (x64)
  • Windows 8 (x86 et x64)
  • Windows Server 2012 (x64)
  • Windows 7 (x86 et x64)
  • Windows Server 2008 R2 (x64)
  • Windows Vista
  • Windows Server 2008 (x86 et x64)
Apple
  • macOS Sierra (10.12) avec Oracle Java 7 ou 8
  • OS X El Capitan (10.11) avec Oracle Java 7 ou 8
  • OS X Yosemite (10.10) avec Oracle Java 7 ou 8
  • OS X Mavericks (10.9.2) avec Oracle Java 7 ou 8
  • OS X Mountain Lion (10.8) avec Oracle Java 7 ou 8
  • OS X Lion (10.7.3) avec Oracle Java 7
Linux
  • Red Hat Enterprise Linux 7.2 (x64)
  • Red Hat Enterprise Linux 7/7.1
  • Red Hat Enterprise Linux 6.x (éditions pour poste de travail et serveur ; x86 et x64)
  • Red Hat Enterprise Linux 5.x (x86 et x64)
  • OpenSUSE Linux 13.2 (x64)
  • OpenSUSE Linux 11.x, 12.x et 13.1 (SP1, x86 et x64)
  • SUSE Linux Enterprise 11 (SP2 et SP3, x64) et 12 (x64)
  • Linux PPC 64 bits (temps de construction uniquement) avec Java 6 uniquement
  • Ubuntu 15.04 (x64)
  • Ubuntu 14.x (x64)
  • Ubuntu 13.x (éditions pour poste de travail et serveur ; x86 et x64)
  • Ubuntu 10.x, 11.x et 12.x (x86 et x64)
  • Fedora 18, 19, 20 et 24 (éditions pour poste de travail ; x64)

Remarque : lorsque vous installez InstallAnywhere sur un système Linux, le programme d'installation tente de créer un lien symbolique vers le chargeur Linux par défaut (/lib/ld-linux.so.2) en cas d'absence de lien portant ce nom. Le lien symbolique est nécessaire à l'affichage de l'identifiant hôte dans la boîte de dialogue associée, ainsi qu'à la gestion des licences Node Locked. Le lien est présent sur les systèmes respectant la base standard Linux (LSB) 3, mais peut être absent sur les systèmes qui ne se conforment pas à cette base. Pour plus d'informations, consultez l'article Q209204 de la base de connaissances.

Solaris
Solaris 9, 10 et 11 (SPARC)

Remarque :  il est possible de construire un programme d'installation à partir de n'importe quelle plateforme de création prise en charge et pour toute autre langue ou plateforme cible prise en charge. La version Premier Edition comprend des versions localisées dans 31 langues. La version Professional Edition comprend des versions localisées dans 9 langues.

Configuration requise pour les images Docker

La création d'images Docker à partir d'InstallAnywhere est prise en charge lorsque Docker est installé sur les plateformes ci-dessous.

Version de Docker prise en charge Docker 1.7.1
Plateformes
Windows
  • Windows 7
Linux
  • Ubuntu 14.10
  • Red Hat Enterprise Linux 7.1
  • CentOS 7.1
Apple
  • OS X 10.8.x, 10.9.x et 10.10.3

Systèmes cibles (environnement d'installation)

RAM 64 Mo
Couleurs 65 536 couleurs (16 bits)
Résolution 640 x 480 au minimum
Système d'exploitation Les programmes d'installation s'exécutent sur n'importe quelle version de ces systèmes d'exploitation, tant que Java 6, 7 ou 8 y est pris en charge (Oracle Java 7 ou 8 dans le cas d'OS X). Les programmes d'installation générés par InstallAnywhere ne sont pas pris en charge sur les versions bêta ou en accès anticipé, sauf indication contraire explicite.
Windows
  • Windows 10 Anniversary Update (x86 et x64)
  • Windows Server 2016 (x64)
  • Windows 10 (x86 et x64)
  • Windows 8.1 (x86 et x64)
  • Windows Server 2012 R2 (x64)
  • Windows 8 (x86 et x64)
  • Windows Server 2012 (x64)
  • Windows 7 (x86 et x64)
  • Windows Server 2008 R2 (x64)
  • Windows Vista (x86 et x64)
  • Windows Server 2008 (x86 et x64)
  • Windows XP (x86, x64, Itanium 2 et AMD-64)
  • Windows Server 2003 (x86, x64, Itanium 2 et AMD-64)

Les systèmes Windows cibles doivent également prendre en charge le jeu d'instructions SSE2.

Apple
  • macOS Sierra (10.12) avec Oracle Java 7 ou 8
  • OS X El Capitan (10.11) avec Oracle Java 7 ou 8
  • OS X Yosemite (10.10) avec Oracle Java 7 ou 8
  • OS X Mavericks (10.9.2) avec Oracle Java 7 ou 8
  • OS X Mountain Lion (10.8) avec Oracle Java 7 ou 8
  • OS X Lion (10.7.3) avec Oracle Java 7
Linux
  • CentOS 7 (x86, x64)
  • CentOS 6.8 (x86, x64)
  • Red Hat Enterprise Linux 7.2 (x64)
  • Red Hat Enterprise Linux 7.2 pour PowerPC (Little Endian)
  • Red Hat Enterprise Linux 7/7.1
  • Red Hat Linux 7.1 pour PowerPC (Little Endian, mode silencieux et console uniquement)
  • Red Hat Enterprise Linux 6.x, SUSE 11.x sur zSeries
  • Red Hat Enterprise Linux 6.x, SUSE 11.x PPC 64 bits (temps de construction uniquement) avec Java 6
  • Red Hat Enterprise Linux 6.x (éditions pour poste de travail et serveur ; x86 et x64)
  • Red Hat Enterprise Linux 5 (x86, x64, Itanium 2 et AMD-64)
  • OpenSUSE Linux 13.2 (x64)
  • OpenSUSE Linux 11.x, 12.x et 13.1 (x86 et x64)
  • SUSE Linux Enterprise 11 (SP2 et SP3, x64) et 12 (SP1, x64)
  • Ubuntu 16.04 LTS (x64)
  • Ubuntu 15.04 (x64)
  • Ubuntu 14.x (x64)
  • Ubuntu 13.x (éditions pour poste de travail et serveur ; x86 et x64)
  • Ubuntu 9.x, 10.x, 11.x et 12.x (x86 et x64)
  • Fedora 17, 18, 19, 20 et 24 (éditions pour poste de travail ; x64)
Solaris
  • Solaris 11 (x86 et SPARC)
  • Solaris 9 et 10 (x86, SPARC et AMD-64)
HP-UX
  • HP-UX 11i (Itanium 2 et PA-RISC)
AIX
  • AIX 5.2, 5.3, 6.1 et 7.1 (Power/PowerPC)
IBM
  • i5/OS (OS/400) sur System i – V5R3 et V5R4 (Enterprise Edition uniquement), IBM i 6.1 et IBM i 7.1
  • z/OS
Autres
  • FreeBSD
  • Autres systèmes d'exploitation Linux et Unix (shell compatible POSIX nécessaire)

Machines virtuelles Java prises en charge

InstallAnywhere prend en charge les machines virtuelles Java suivantes :

Sun 1.6.x et 1.7.x
IBM 1.6.x, 1.7.x, 1.8.x
HP 1.6.x et 1.7.x
Oracle 1.7.x et 1.8x

Le programme d'installation multiplateforme InstallAnywhere installe les packs VM JRE 1.7.0_60. Il est possible de coupler une machine virtuelle Java à un programme d'installation afin de garantir que le système cible corresponde à la configuration minimale requise pour les programmes d'installation et vos applications. Vous pouvez télécharger d'autres packs VM JRE.

Les programmes d'installation multiplateforme générés par InstallAnywhere ne sont pas pris en charge sur les versions bêta ou les publications en accès anticipé de Java.

Configuration requise pour les dispositifs virtuels

Configuration requise pour la création et le déploiement automatique de dispositifs virtuels

Le tableau suivant décrit la configuration système requise pour la création et le déploiement automatique de dispositifs virtuels à partir d'InstallAnywhere.

HyperviseurConfiguration requise
VMware vSphere 5/vCenter
  • Informations d'identification d'un serveur VMware vSphere 5
  • Si votre serveur VMware vSphere 5 est géré par un serveur VMware vCenter 5, les informations d'identification du serveur VMware vCenter sont également requises.
  • Informations d'identification de la machine hôte (informations d'identification d'une machine physique/virtuelle qui ressemble de près au système d'exploitation du dispositif virtuel)
Amazon EC2
  • Informations de compte Amazon EC2 (numéro de compte, clé d'accès, clé secrète, certificat X.509 et clé privée de votre compte Amazon EC2)
  • Informations d'identification de la machine hôte (informations d'identification d'une machine physique/virtuelle qui ressemble de près au système d'exploitation du dispositif virtuel)

Hyperviseurs et plateformes pris en charge pour les dispositifs virtuels

InstallAnywhere prend en charge la création de dispositifs virtuels s'exécutant sur des hyperviseurs VMware vSphere 5 et Amazon EC2. Il est possible de déployer un dispositif virtuel VMware vSphere 5 sur un serveur VMware vSphere 5 (autonome) sous licence ou sur un serveur VMware vSphere 5 sous licence géré par un serveur VMware vCenter 5 sous licence.

Le tableau suivant répertorie les systèmes d'exploitation pris en charge sur les hyperviseurs pris en charge.

Hyperviseur pris en chargeSystèmes d'exploitation pris en charge
VMware vSphere 5/vCenter
  • CentOS 7, 6.2 et 6.3 (x86 et x64)
  • OpenSUSE 12.2 (x86 et x64) et SUSE Linux Enterprise Server 11 SP2 ; nécessite l'utilisation d'une machine virtuelle ou d'un instantané SUSE (pas de prise en charge des modèles de dispositif virtuel VM SUSE)
  • Red Hat Enterprise Linux 6.4 (x86 et x64) ; nécessite l'utilisation d'un modèle de dispositif virtuel VM RHEL enregistré auprès de Red Hat Network
  • Red Hat Enterprise Linux 6.3 (x64) ; nécessite l'utilisation d'un modèle de dispositif virtuel VM RHEL enregistré auprès de Red Hat Network
  • Ubuntu 13.04 (x86 et x64)
  • Ubuntu 12.10 (x86 et x64)
  • Ubuntu 12.04 (x86 et x64)
  • Ubuntu 11.10 (x86 et x64)
Amazon EC2
  • Ubuntu 11.10 (x32)
  • Ubuntu 12.04 (x32)

Pour pouvoir créer des dispositifs virtuels, il est nécessaire de lancer InstallAnywhere avec JRE 1.7 ou 1.8.